2013-02-01  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.15 ========================
	* 

2013-01-08  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.man: [Bug 3581373]: Document behaviour for -maxlen 0.

2011-12-13  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.14 ========================
	* 

2011-11-08  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.test: [Bug 2976290]: Disable new test when Trf is
	  available. It actually performs a decoding.

2011-01-24  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.13 ========================
	* 

2010-07-06  Andreas Kupries  <andreask@activestate.com>

	* base64.tcl (::base64::decode): [Bug 2976290]: Throw a proper
	* base64.man: error when trying to decode padding with not enough
	* base64.test: data in front of it. Extended testsuite. Bumped to
	* pkgIndex.tcl: version 2.4.2.

2010-05-04  Andreas Kupries  <andreask@activestate.com>

	* base64.man:: Fix small typo, default for -maxlen changed to 76.

2010-05-03  Andreas Kupries  <andreask@activestate.com>

	* ascii85.man: [FR 2993200]: Added new package ascii85,
	* ascii85.tcl: provided by Emiliano
	* ascii85.test: <egavilan@users.sourceforge.net>
	* pkgIndex.tcl: 

2009-12-07  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.12 ========================
	* 

2009-05-07  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* uuencode.tcl: Changed poor idiom for setting interp result.
	* yencode.tcl:

2009-01-28  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.tcl: Define a number of transient variables in the
	  namespace, to avoid creative-writing. Fixes [Bug 2538424].

	* pkgIndex.tcl: Bumped version to 2.4.1.
	* base64.man:

2008-12-12  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.11.1 ========================
	* 

2008-12-11  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* yencode.tcl: Fixed bug in the yencoder. Escaped characters
	* yencode.man: have to be rotated by 64 according to the yEnc
	* yencode.test: specification v1.3, not 42. Bumped version to
	* pkgIndex.tcl: 1.1.2. Updated tests.

	* uuencode.test: Better handling of loading 'tcllibc'.

2008-10-16  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.11 ========================
	* 

2008-06-12  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.pcx: New files. Syntax definitions for the public
	* uuencode.pcx: commands of the packages base74, uuencode,
	* yencode.pcx: and yencode.

2008-05-28  Andreas Kupries  <andreask@activestate.com>

	* base64.tcl: Changed the default setting for -maxlen to 76 to
	* base64.man: coincide with MIME definitions and Trf, making
	* base64.test: the very fast path default, with no output reflow
	* pkgIndex.tcl: required at all. Bumped version to 2.4.

	** POTENTIAL INCOMPATIBILITY ** for all users depending on the
	  default setting to be 60.

2008-05-22  Andreas Kupries  <andreask@activestate.com>

	* base64.test: Extended with tests using bogus values of -maxchar,
	* base64.tcl: and non-standard values. Fixed bugs in the maxlen
	* base64.man: handling of the pure Tcl implementation which
	* pkgIndex.tcl: allowed the output to have more than maxlen
	  characters per line. Performance fix: Replaced Miguel's O(n^2)
	  reflow algorithm (maxlen handling after Trf) with Gustaf
	  Neumann's O(n) algorithm. Minor changes to the guarding
	  conditions by myself, and fixes for the fast cases. Bumped the
	  version to 2.3.3.

2007-09-12  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.10 ========================
	* 

2007-03-19  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.man: Fixed all warnings due to use of now deprecated
	* uuencode.man: commands. Added a section about how to give
	* yencode.man: feedback.

2006-11-04  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* base64c.tcl: Silence critcl warning.

2006-10-13  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* uuencode.test: Documentation and code (error messages) disagreed
	* uuencode.man:  about the accepted options, and tests were
	* uuencode.tcl:  missing entirely. The code additionally missed
	  some checks regarding the proper number of arguments, nor had it
	  tests checking that either. Added tests and synchronized code
	  and documentation.

2006-10-03  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.9 ========================
	* 

2006-01-22  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* yencode.test: More boilerplate simplified via use of test support.
	* uuencode.test:
	* base64.test:

2006-01-19  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* yencode.test: Hooked into the new common test support code.
	* uuencode.test:
	* base64.test:

2005-10-18  Andreas Kupries <andreask@activestate.com>

	* base64.bench:   Basic benchmarks for base64, uuencode,
	* uuencode.bench: and yencode. Encode/decode of strings
	* yencode.bench:  only.

2005-10-06  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.8 ========================
	* 

2005-08-26  Andreas Kupries <andreask@activestate.com>

	* uuencode.test: Deconfused the testsuite's belief of which
	  accelerators is in use. Removed superfluous output, and added a
	  flag variable for actual use of Trf, not only presence. Changed
	  definition of test 1.4 to use this flag. This is for [Tcllib SF
	  Bug 1273537].

2004-10-05  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.man: Cleaned the doc up a bit. Especially highlighted the
	  recently added note recording binary by separating it from the
	  general description a bit (same location, new paragraph).

2005-02-17  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* base64.man: Added some examples and attempted to point out that
	proper string encoding may be needed for unicode strings.

2004-10-05  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.7 ========================
	* 

2004-08-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.tcl: Typo police.
	* uuencode.tcl:
	* uuencode.man:
	* yencode.man:

2004-07-21  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* uuencode.man: Polished a bit (options, keywords).
	* yencode.man: 

2004-07-19  Andreas Kupries  <andreask@activestate.com>

	* base64.man: Added copyright notes for the early authors, as far
	  as I am aware of them.

2004-05-23  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* uuencode.tcl: Updated version number to sync with 1.6.1
	* uuencode.man: release
	* pkgIndex.tcl:

2004-05-23  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.6.1 ========================
	* 

2004-05-23  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* uuencode.tcl: Rel. engineering. Updated version number 
	* uuencode.man: of uuencode to reflect its changes, to 1.1.1.
	* pkgIndex.tcl:

2004-03-09  Jeff Hobbs  <jeffh@ActiveState.com>

	* uuencode.tcl (::uuencode::pad): don't use log package

2004-02-15  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.6 ========================
	* 

2003-10-24  Andreas Kupries  <andreask@activestate.com>

	* base64.test:
	* base64.tcl: Applied patch fixing [Bug 821126]. Variable 'output'
	  is now initialized to empty to have it defined at all
	  times. Extended testsuite to cover the fixed cases.

2003-10-21  Andreas Kupries  <andreask@activestate.com>

	* base64.tcl: Added code to the Trf supported 'decode'r to ignore
	  whitespace in hte encoded input. [Bug 736900].

2003-07-24  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* base64c.tcl: Added the placeholder package.

2003-05-14  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* Merged DEVELOPMENT branch from DEVELOPMENT-root to
	DEVELOPMENT-merge-1 This brings in the critcl enhancements for
	uuencode and yencode along with a few extra tests for yencode.

2003-05-05  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tcllib 1.4 ========================
	* 

2003-04-22  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* base64c.tcl: Added file to define the base64c C coded package.
	* uuencode.tcl: Added critcl code into the package.
	* yencode.tcl: Added critcl code into the package.

2003-04-22  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* all: Created DEVELOPMENT branch - tagged root-DEVELOPMENT.
	This branch contains criticl-based C code to speed up some of the
	computationally expensive functions - generates a base64c package.
	
2003-04-21  Andreas Kupries  <andreask@pliers.activestate.com>

	* uuencode.test: Added code to suppress output from the log
	  package during the test.

2003-04-11  Andreas Kupries  <andreask@activestate.com>

	* uuencode.man:
	* base64.tcl:
	* base64.man:
	* pkgIndex.tcl: Fixed bug #614591. Set version of the base64
	  package to to 2.2.2. uuencode is now at version 1.0.2
	  throughout.

2003-03-24  Andreas Kupries  <andreask@activestate.com>

	* uuencode.test: 
	* uuencode.tcl: Fixed bug #700327, reported by Roger Niva
	  <rniva@users.sourceforge.net>. Added '--' before actual data
	  argument to prevent mishandling of data beginning with a dash
	  ('-'). Extended the testsuite to cover these cases.

2003-02-23  David N. Welton  <davidw@dedasys.com>

	* base64.tcl: Bumped base64.tcl Tcl requirement to 8.2, swapped
	out regsub for string map.

2003-01-25  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* yencode.tcl:
	* uuencode.tcl: Added Tcl 8.2 version requirement, bumped versions
	and added copyright to man pages. Fixed uuencode to work with Tcl 8.2

2002-06-03  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* pkgIndex.tcl:
	* base64.tcl:
	* base64.n:
	* base64.man: Bumped base64 to version 2.2.1.

	* pkgIndex.tcl:
	* uuencode.tcl:
	* uuencode.n:
	* uuencode.man: Bumped uuencode to version 1.0.1.

2002-05-27  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* yencode.test: Fixed SF Tcllib Bug #548354 so that the datafile
	  used by the test is found even if the build directory is outside
	  of the tcllib directory hierarchy. Original patch provided by Larry
	  Virden <lvirden@users.sourceforge.net>, changed by me to work in
	  my configuration too.

2002-04-24  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* uuencode.tcl: 
	* yencode.tcl:
	* base64.tcl: Fixed decoding of empty string in tcl
	  implementation. Fixes bug #548112.

2002-04-17  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* yencode.tcl, yencode.test, yencode.man, yencode.test.data,
	* yencode.test.out: initial import of yEnc encode/decode package
	plus man page and test.

2002-04-17  Pat Thoyts  <patthoyts@users.sourceforge.net>

	* uuencode.tcl: fixed bug #544452 to handle DOS input files and
	tolerate incorrect uuencoded line lengths.
	* uuencode.test: added tests for the above bug conditions.

2002-01-17  Pat Thoyts <patthoyts@users.sourceforge.net>

	* uuencode.tcl: added support for Trf and fixed length bug
	
2002-01-16  Pat Thoyts <patthoyts@users.sourceforge.net>

	* uuencode.tcl: initial import of uuencode package
	* pkgIndex.tcl: added uuencode package
	
2001-09-05  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* base64.tcl: Restricted export list to public API.
	  [456255]. Patch by Hemang Lavana
	  <hemanglavana@users.sourceforge.net>

2001-07-31  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* base64.n: Added manpage [446584].

2001-07-10  Andreas Kupries <andreas_kupries@users.sourceforge.net>

	* base64.tcl: Frink 2.2 run, fixed dubious code.

2001-06-21  Andreas Kupries <andreas_kupries@users.sourceforge.net

	* base64.tcl: Fixed dubious code reported by frink.

2001-06-02  Miguel Sofer  <mig@utdt.edu>

	* base64.tcl: Greatly increased speed, obtained by: using lists
	  instead of arrays, splitting the input with [binary scan],
	  taking the bytes to be encoded three at a time, and
	  reformulating the decoding algorithm to be purely
	  arithmetic. Improved backwards compatibility, now runs with
	  Tcl8.0.

	  Nudged version to 2.2

2000-10-11  Brent Welch  <welch@ajubasolutions.com>

	* base64.tcl: Fixed bug in base64::decode where trailing
	bytes were not always decoded correctly (!).  This only
	shows up with low-valued characters (less than 0x10) near
	the end of a string that was padded with =

	Nudged version to 2.1 so we can distinquish this version
	that has bug fixes and new features.

2000-10-10  Eric Melski  <ericm@ajubasolutions.com>

	* base64.tcl: Extending base64::encode to accept optional
	arguments ?-maxlen maxlen? and ?-wrapchar wrapchar?, to control
	the line wrapping and the character(s) used to cause the
	wrapping.  Based on work by Joel Saunier.

2000-03-09  Eric Melski  <ericm@scriptics.com>

	* base64.test: Adapted tests to work in tcllib test framework.

2000-03-04  Eric Melski  <ericm@scriptics.com>

	* base64.test: Added tests for decoding data that was padded with ='s

	* base64.tcl: Fixed a bug with line wrapping in the encoder -- it
	was not properly counting the number of characters emitted, so it 
	was not wrapping when it should.  Changed the chars/line to 60, so 
	the output would be identical to that produced by GNU uuecode 4.2,
	for easy testing purposes.  Fixed a bug in the decoder with
	newlines -- it was not ignoring them as it should according to RFC
	2045.
	Fixed a bug in decoder dealing with data that was padded with ='s.
	

	* base64.test: Some rudimentary tests for the encoder/decoder.

2000-03-02  Eric Melski  <ericm@scriptics.com>

	* pkgIndex.tcl: added pkgIndex file.
